Package org.gradle.api.reporting

## Interface ConfigurableReport

- All Superinterfaces:
    `org.gradle.util.Configurable<Report>`, `Report`, `Serializable`
  All Known Subinterfaces:
    `CustomizableHtmlReport`, `DirectoryReport`, `FindBugsXmlReport`, `JUnitXmlReport`, `SingleFileReport`

      public interface ConfigurableReport
      extends Report

  A file based report to be created with a configurable destination.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.reporting.Report

      `Report.OutputType`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.reporting.Report

      `NAMER`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `setDestination​(File file)` | Sets the destination for the report.
    `void` | `setDestination​(Provider<File> provider)` | Sets the destination for the report.
    `void` | `setEnabled​(boolean enabled)` | Whether or not this report should be generated by whatever generates it.
    `void` | `setEnabled​(Provider<Boolean> enabled)` | Whether or not this report should be generated by whatever generates it.

    - ### Methods inherited from interface org.gradle.util.Configurable

      `configure`

    - ### Methods inherited from interface org.gradle.api.reporting.Report

      `getDestination, getDisplayName, getName, getOutputType, isEnabled`

- - ### Method Detail

    - #### setEnabled

          @Incubating
          void setEnabled​(boolean enabled)

      Whether or not this report should be generated by whatever generates it.
      Specified by:
        `setEnabled` in interface `Report`
      Parameters:
        `enabled` - Whether or not this report should be generated by whatever generates it.
      Since:
        4.0
      See Also:
        `Report.isEnabled()`

    - #### setEnabled

          @Incubating
          void setEnabled​(Provider<Boolean> enabled)

      Whether or not this report should be generated by whatever generates it.
      Parameters:
        `enabled` - Provider for indicating whether or not this report should be generated by whatever generates it.
      Since:
        4.0
      See Also:
        `Report.isEnabled()`

    - #### setDestination

          @Incubating
          void setDestination​(File file)

      Sets the destination for the report.
      Parameters:
        `file` - The destination for the report.
      Since:
        4.0
      See Also:
        `Report.getDestination()`

    - #### setDestination

          @Incubating
          void setDestination​(Provider<File> provider)

      Sets the destination for the report.
      Parameters:
        `provider` - The provider of the destination for the report.
      Since:
        4.0
      See Also:
        `Report.getDestination()`